SDL_xaudio2.h File Reference
`#include <windows.h>`
`#include <mmreg.h>`
`#include <objbase.h>`
Include dependency graph for SDL_xaudio2.h:

Go to the source code of this file.

## Data Structures

struct | XAUDIO2_BUFFER
struct | XAUDIO2_BUFFER_WMA
struct | XAUDIO2_SEND_DESCRIPTOR
struct | XAUDIO2_VOICE_SENDS
struct | XAUDIO2_EFFECT_DESCRIPTOR
struct | XAUDIO2_EFFECT_CHAIN
struct | XAUDIO2_PERFORMANCE_DATA
struct | XAUDIO2_DEBUG_CONFIGURATION
struct | XAUDIO2_VOICE_DETAILS
struct | XAUDIO2_FILTER_PARAMETERS
struct | XAUDIO2_VOICE_STATE
struct | IXAudio2Vtbl
struct | IXAudio2SourceVoiceVtbl
struct | IXAudio2MasteringVoiceVtbl
struct | IXAudio2VoiceCallbackVtbl

## Macros

#define | Processor1 0x00000001
#define | XAUDIO2_DEFAULT_PROCESSOR Processor1
#define | XAUDIO2_E_DEVICE_INVALIDATED 0x88960004
#define | XAUDIO2_COMMIT_NOW 0
#define | XAUDIO2_VOICE_NOSAMPLESPLAYED 0x0100
#define | XAUDIO2_DEFAULT_CHANNELS 0
#define | INTERFACE IXAudio2
#define | IXAudio2_Release(A) ((A)->lpVtbl->Release(A))
#define | IXAudio2_CreateSourceVoice(A, B, C, D, E, F, G, H) ((A)->lpVtbl->CreateSourceVoice(A,B,C,D,E,F,G,H))
#define | IXAudio2_CreateMasteringVoice(A, B, C, D, E, F, G, H) ((A)->lpVtbl->CreateMasteringVoice(A,B,C,D,E,F,G,H))
#define | IXAudio2_StartEngine(A) ((A)->lpVtbl->StartEngine(A))
#define | IXAudio2_StopEngine(A) ((A)->lpVtbl->StopEngine(A))
#define | INTERFACE IXAudio2SourceVoice
#define | IXAudio2SourceVoice_DestroyVoice(A) ((A)->lpVtbl->DestroyVoice(A))
#define | IXAudio2SourceVoice_Start(A, B, C) ((A)->lpVtbl->Start(A,B,C))
#define | IXAudio2SourceVoice_Stop(A, B, C) ((A)->lpVtbl->Stop(A,B,C))
#define | IXAudio2SourceVoice_SubmitSourceBuffer(A, B, C) ((A)->lpVtbl->SubmitSourceBuffer(A,B,C))
#define | IXAudio2SourceVoice_FlushSourceBuffers(A) ((A)->lpVtbl->FlushSourceBuffers(A))
#define | IXAudio2SourceVoice_Discontinuity(A) ((A)->lpVtbl->Discontinuity(A))
#define | IXAudio2SourceVoice_GetState(A, B, C) ((A)->lpVtbl->GetState(A,B,C))
#define | INTERFACE IXAudio2MasteringVoice
#define | IXAudio2MasteringVoice_DestroyVoice(A) ((A)->lpVtbl->DestroyVoice(A))
#define | INTERFACE IXAudio2VoiceCallback

## Typedefs

typedef interface IXAudio2 | IXAudio2
typedef interface IXAudio2SourceVoice | IXAudio2SourceVoice
typedef interface IXAudio2MasteringVoice | IXAudio2MasteringVoice
typedef interface IXAudio2EngineCallback | IXAudio2EngineCallback
typedef interface IXAudio2VoiceCallback | IXAudio2VoiceCallback
typedef interface IXAudio2Voice | IXAudio2Voice
typedef interface IXAudio2SubmixVoice | IXAudio2SubmixVoice
typedef UINT32 | XAUDIO2_PROCESSOR
typedef const struct IXAudio2Vtbl | IXAudio2Vtbl
typedef const struct IXAudio2SourceVoiceVtbl | IXAudio2SourceVoiceVtbl
typedef const struct IXAudio2MasteringVoiceVtbl | IXAudio2MasteringVoiceVtbl
typedef const struct IXAudio2VoiceCallbackVtbl | IXAudio2VoiceCallbackVtbl

## Enumerations

enum | AUDIO_STREAM_CATEGORY { AudioCategory_Other = 0, AudioCategory_ForegroundOnlyMedia, AudioCategory_BackgroundCapableMedia, AudioCategory_Communications, AudioCategory_Alerts, AudioCategory_SoundEffects, AudioCategory_GameEffects, AudioCategory_GameMedia, AudioCategory_GameChat, AudioCategory_Movie, AudioCategory_Media }
enum | XAUDIO2_FILTER_TYPE { LowPassFilter = 0, BandPassFilter = 1, HighPassFilter = 2, NotchFilter = 3, LowPassOnePoleFilter = 4, HighPassOnePoleFilter = 5 }

## Functions

HRESULT __stdcall | XAudio2Create (_Out_ IXAudio2 **ppXAudio2, _In_ UINT32 Flags, _In_ XAUDIO2_PROCESSOR XAudio2Processor)

## Macro Definition Documentation

#define INTERFACE IXAudio2

Definition at line 360 of file SDL_xaudio2.h.

#define INTERFACE IXAudio2SourceVoice

Definition at line 360 of file SDL_xaudio2.h.

#define INTERFACE IXAudio2MasteringVoice

Definition at line 360 of file SDL_xaudio2.h.

#define INTERFACE IXAudio2VoiceCallback

Definition at line 360 of file SDL_xaudio2.h.

#define IXAudio2_CreateMasteringVoice | ( |  | A,
|  |  | B,
|  |  | C,
|  |  | D,
|  |  | E,
|  |  | F,
|  |  | G,
|  |  | H
| ) |  | ((A)->lpVtbl->CreateMasteringVoice(A,B,C,D,E,F,G,H))

Definition at line 212 of file SDL_xaudio2.h.

#define IXAudio2_CreateSourceVoice | ( |  | A,
|  |  | B,
|  |  | C,
|  |  | D,
|  |  | E,
|  |  | F,
|  |  | G,
|  |  | H
| ) |  | ((A)->lpVtbl->CreateSourceVoice(A,B,C,D,E,F,G,H))

Definition at line 211 of file SDL_xaudio2.h.

#define IXAudio2_Release | ( |  | A | ) | ((A)->lpVtbl->Release(A))

Definition at line 210 of file SDL_xaudio2.h.

#define IXAudio2_StartEngine | ( |  | A | ) | ((A)->lpVtbl->StartEngine(A))

Definition at line 213 of file SDL_xaudio2.h.

#define IXAudio2_StopEngine | ( |  | A | ) | ((A)->lpVtbl->StopEngine(A))

Definition at line 214 of file SDL_xaudio2.h.

#define IXAudio2MasteringVoice_DestroyVoice | ( |  | A | ) | ((A)->lpVtbl->DestroyVoice(A))

Definition at line 356 of file SDL_xaudio2.h.

#define IXAudio2SourceVoice_DestroyVoice | ( |  | A | ) | ((A)->lpVtbl->DestroyVoice(A))

Definition at line 289 of file SDL_xaudio2.h.

#define IXAudio2SourceVoice_Discontinuity | ( |  | A | ) | ((A)->lpVtbl->Discontinuity(A))

Definition at line 294 of file SDL_xaudio2.h.

#define IXAudio2SourceVoice_FlushSourceBuffers | ( |  | A | ) | ((A)->lpVtbl->FlushSourceBuffers(A))

Definition at line 293 of file SDL_xaudio2.h.

#define IXAudio2SourceVoice_GetState | ( |  | A,
|  |  | B,
|  |  | C
| ) |  | ((A)->lpVtbl->GetState(A,B,C))

Definition at line 295 of file SDL_xaudio2.h.

#define IXAudio2SourceVoice_Start | ( |  | A,
|  |  | B,
|  |  | C
| ) |  | ((A)->lpVtbl->Start(A,B,C))

Definition at line 290 of file SDL_xaudio2.h.

#define IXAudio2SourceVoice_Stop | ( |  | A,
|  |  | B,
|  |  | C
| ) |  | ((A)->lpVtbl->Stop(A,B,C))

Definition at line 291 of file SDL_xaudio2.h.

#define IXAudio2SourceVoice_SubmitSourceBuffer | ( |  | A,
|  |  | B,
|  |  | C
| ) |  | ((A)->lpVtbl->SubmitSourceBuffer(A,B,C))

Definition at line 292 of file SDL_xaudio2.h.

#define Processor1 0x00000001

Definition at line 151 of file SDL_xaudio2.h.

#define XAUDIO2_COMMIT_NOW 0

Definition at line 155 of file SDL_xaudio2.h.

#define XAUDIO2_DEFAULT_CHANNELS 0

Definition at line 157 of file SDL_xaudio2.h.

#define XAUDIO2_DEFAULT_PROCESSOR Processor1

Definition at line 152 of file SDL_xaudio2.h.

#define XAUDIO2_E_DEVICE_INVALIDATED 0x88960004

Definition at line 154 of file SDL_xaudio2.h.

#define XAUDIO2_VOICE_NOSAMPLESPLAYED 0x0100

Definition at line 156 of file SDL_xaudio2.h.

## Typedef Documentation

typedef interface IXAudio2

Initial value:
{
const struct IXAudio2Vtbl FAR* lpVtbl
FAR
#define FAR
Definition: SDL_directx.h:37
IXAudio2Vtbl
Definition: SDL_xaudio2.h:171

Definition at line 35 of file SDL_xaudio2.h.

typedef interface IXAudio2EngineCallback IXAudio2EngineCallback

Definition at line 38 of file SDL_xaudio2.h.

typedef interface IXAudio2MasteringVoice

Initial value:
{
const struct IXAudio2MasteringVoiceVtbl FAR* lpVtbl
FAR
#define FAR
Definition: SDL_directx.h:37
IXAudio2MasteringVoiceVtbl
Definition: SDL_xaudio2.h:304

Definition at line 37 of file SDL_xaudio2.h.

typedef const struct IXAudio2MasteringVoiceVtbl IXAudio2MasteringVoiceVtbl

Definition at line 303 of file SDL_xaudio2.h.

typedef interface IXAudio2SourceVoice

Initial value:
{
const struct IXAudio2SourceVoiceVtbl FAR* lpVtbl
FAR
#define FAR
Definition: SDL_directx.h:37
IXAudio2SourceVoiceVtbl
Definition: SDL_xaudio2.h:223

Definition at line 36 of file SDL_xaudio2.h.

typedef const struct IXAudio2SourceVoiceVtbl IXAudio2SourceVoiceVtbl

Definition at line 222 of file SDL_xaudio2.h.

typedef interface IXAudio2SubmixVoice IXAudio2SubmixVoice

Definition at line 41 of file SDL_xaudio2.h.

typedef interface IXAudio2Voice IXAudio2Voice

Definition at line 40 of file SDL_xaudio2.h.

typedef interface IXAudio2VoiceCallback

Initial value:
{
const struct IXAudio2VoiceCallbackVtbl FAR* lpVtbl
FAR
#define FAR
Definition: SDL_directx.h:37
IXAudio2VoiceCallbackVtbl
Definition: SDL_xaudio2.h:365

Definition at line 39 of file SDL_xaudio2.h.

typedef const struct IXAudio2VoiceCallbackVtbl IXAudio2VoiceCallbackVtbl

Definition at line 364 of file SDL_xaudio2.h.

typedef const struct IXAudio2Vtbl IXAudio2Vtbl

Definition at line 170 of file SDL_xaudio2.h.

typedef UINT32 XAUDIO2_PROCESSOR

Definition at line 150 of file SDL_xaudio2.h.

## Enumeration Type Documentation

enum AUDIO_STREAM_CATEGORY

Enumerator
AudioCategory_Other |
AudioCategory_ForegroundOnlyMedia |
AudioCategory_BackgroundCapableMedia |
AudioCategory_Communications |
AudioCategory_Alerts |
AudioCategory_SoundEffects |
AudioCategory_GameEffects |
AudioCategory_GameMedia |
AudioCategory_GameChat |
AudioCategory_Movie |
AudioCategory_Media |

Definition at line 43 of file SDL_xaudio2.h.

{
AudioCategory_Other = 0,
AudioCategory_ForegroundOnlyMedia,
AudioCategory_BackgroundCapableMedia,
AudioCategory_Communications,
AudioCategory_Alerts,
AudioCategory_SoundEffects,
AudioCategory_GameEffects,
AudioCategory_GameMedia,
AudioCategory_GameChat,
AudioCategory_Movie,
AudioCategory_Media
} AUDIO_STREAM_CATEGORY;
AudioCategory_ForegroundOnlyMedia
Definition: SDL_xaudio2.h:45
AudioCategory_Media
Definition: SDL_xaudio2.h:54
AudioCategory_Alerts
Definition: SDL_xaudio2.h:48
AudioCategory_GameMedia
Definition: SDL_xaudio2.h:51
AudioCategory_SoundEffects
Definition: SDL_xaudio2.h:49
AudioCategory_Movie
Definition: SDL_xaudio2.h:53
AudioCategory_Other
Definition: SDL_xaudio2.h:44
AudioCategory_BackgroundCapableMedia
Definition: SDL_xaudio2.h:46
AUDIO_STREAM_CATEGORY
AUDIO_STREAM_CATEGORY
Definition: SDL_xaudio2.h:43
AudioCategory_GameEffects
Definition: SDL_xaudio2.h:50
AudioCategory_GameChat
Definition: SDL_xaudio2.h:52
AudioCategory_Communications
Definition: SDL_xaudio2.h:47

enum XAUDIO2_FILTER_TYPE

Enumerator
LowPassFilter |
BandPassFilter |
HighPassFilter |
NotchFilter |
LowPassOnePoleFilter |
HighPassOnePoleFilter |

Definition at line 128 of file SDL_xaudio2.h.

{
LowPassFilter = 0,
BandPassFilter = 1,
HighPassFilter = 2,
NotchFilter = 3,
LowPassOnePoleFilter = 4,
HighPassOnePoleFilter = 5
} XAUDIO2_FILTER_TYPE;
BandPassFilter
Definition: SDL_xaudio2.h:130
LowPassFilter
Definition: SDL_xaudio2.h:129
NotchFilter
Definition: SDL_xaudio2.h:132
XAUDIO2_FILTER_TYPE
XAUDIO2_FILTER_TYPE
Definition: SDL_xaudio2.h:128
HighPassFilter
Definition: SDL_xaudio2.h:131
HighPassOnePoleFilter
Definition: SDL_xaudio2.h:134
LowPassOnePoleFilter
Definition: SDL_xaudio2.h:133

## Function Documentation

HRESULT __stdcall XAudio2Create | ( | _Out_ IXAudio2 ** | ppXAudio2,
|  | _In_ UINT32 | Flags,
|  | _In_ XAUDIO2_PROCESSOR | XAudio2Processor
| ) |  |